"""
Various utilities for working with images in the _mir_ project.
"""
__version__ = "0.0.41"


from .image_utils import (is_valid_pil_image_from_bytes_string,
                          is_valid_pil_image_file,
                          get_img_files,
                          get_pil_image_size,
                          create_thumbnail_from_pil_image,
                          get_image_info,
                          get_image_metadata,
                          remove_metadata_from_image)
from .image_loaders import load_img, load_images, get_img_files
from .image_transformers import (pil_to_ndarray,
                                 pil_image_to_bytes_string,
                                 pil_to_rgb,
                                 pil_to_grayscale,
                                 pil_to_torch_tensor,
                                 pils_to_torch_tensor)

from .image_enums import (ImageFileEnumType,
                          IMAGE_STR_TYPES,
                          ImageLoadersEnumType,
                          IMAGE_LOADERS_TYPES_STR,
                          ValidPillowEnumType,
                          VALID_PIL_MODES_STR)

from .plot_images import (plot_pil_image, plot_pil_images,
                          plot_pil_images_with_label,
                          plot_pytorch_tensor_images,
                          plot_pytorch_image)
from .exceptions import InvalidConfiguration
from .mir_vision_types import TorchTensor



